<button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal">Open Modal</button>

==============={{categoryDetails|json}}

<h2>HTML Table</h2>
<app-table-componet [categoryDetails]="categoryDetails"></app-table-componet>

<app-table-componet></app-table-componet>
<div class="modal fade" id="myModal" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Modal Header</h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <label>Name:</label>
          <input type="password" class="form-control"  name="name"
                 />

        </div>
        <div class="form-group">
          <label for="pwd">desp:</label>
          <input type="password" class="form-control" id="pwd">
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"  (click)="submitFrom(name,desp)">submit</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>

